#include <MaceratorRule/BasicMaceratorRule/BasicMaceratorRule.hpp>

BasicMaceratorRule::BasicMaceratorRule(ItemStack inputStack, ItemStack outputStack) :
    m_inputStack(inputStack),
    outputStack(outputStack)
{}

ItemStack BasicMaceratorRule::getMaceratorOutput(ItemStack &input)
{
    if (input.canMergeFrom(m_inputStack))
    {
        return outputStack;
    }

    return ItemStack();
}